classification
Title: Move imp.source_from_cache/cache_from_source to importlib
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: brett.cannon Nosy List: Arfrever, barry, brett.cannon, python-dev
Priority: normal Keywords:

Created on 2013-06-11 20:47 by brett.cannon, last changed 2013-06-15 02:35 by brett.cannon. This issue is now closed.

Messages (3)
msg190983 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2013-06-11 20:47
To facilitate deprecating imp, need to move imp.source_from_cache() and cache_from_source() to importlib.util or as static methods on importlib.machinery.SourceLoader.
msg190986 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2013-06-11 21:06
On Jun 11, 2013, at 08:47 PM, Brett Cannon wrote:

>To facilitate deprecating imp, need to move imp.source_from_cache() and
>cache_from_source() to importlib.util or as static methods on
>importlib.machinery.SourceLoader.

+1 for importlib.util.  They should be publicly - and easily - available.

-Barry
msg191186 - (view) Author: Roundup Robot (python-dev) Date: 2013-06-15 02:35
New changeset 32067804942e by Brett Cannon in branch 'default':
Issue #18194: Introduce importlib.util.cache_from_source() and
http://hg.python.org/cpython/rev/32067804942e
History
Date User Action Args
2013-06-15 02:35:59brett.cannonsetstatus: open -> closed
resolution: fixed
stage: test needed -> resolved
2013-06-15 02:35:48python-devsetnosy: + python-dev
messages: + msg191186
2013-06-14 22:36:49brett.cannonsetassignee: brett.cannon
2013-06-11 22:07:05Arfreversetnosy: + Arfrever
2013-06-11 21:06:40barrysetnosy: + barry
messages: + msg190986
2013-06-11 20:47:48brett.cannonlinkissue17177 dependencies
2013-06-11 20:47:03brett.cannoncreate